let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/qb76b5siag3fghs5dbqk9d7nmx1j2lx6-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/rych4x4374di0bf2vzsbcy2kkbzf5das-coreutils-8.29/bin";
  bzip2 = "/nix/store/ffisgzs4c1q1m222hr9z4qwkj4pm8d88-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/c3b7x2kx9ql4986ihkfp2v4wx6j59jas-gzip-1.9/bin/gzip";
  xz = "/nix/store/w6wlvlb8zqmr0z6m1k1h7aqzxk0174mi-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/12qqz3gmpyignhz1m2fqmr962b78jf9m-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/rych4x4374di0bf2vzsbcy2kkbzf5das-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/87i4fp46jfw9yl8c7i9gx75m5yph7irl-nix-2.2.2/bin";
  nixPrefix = "/nix/store/87i4fp46jfw9yl8c7i9gx75m5yph7irl-nix-2.2.2";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/87i4fp46jfw9yl8c7i9gx75m5yph7irl-nix-2.2.2/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
